# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="notification-daemon theme developed by the Fedora Project"
HOMEPAGE="http://fedorahosted.org/nodoka/"
SRC_URI="http://fedorahosted.org/releases/n/o/nodoka/${P}.tar.gz"

RESTRICT="nomirror"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""

RDEPEND=">=x11-libs/gtk+-2.8.0"
DEPEND="${RDEPEND}
	dev-util/pkgconfig"

S="${WORKDIR}/${P}"

src_unpack() {
    unpack "${A}"
    cd "${S}"
    epatch "${FILESDIR}"/"${P}"-fromgit.patch
}

src_compile() {
    econf --disable-dependency-tracking
    emake || die "emake failed"
}

src_install() {
    emake DESTDIR="${D}" install || die "install failed"
    dodoc AUTHORS ChangeLog NEWS README || die "dodoc failed"
}
